#ifndef NODEPALETTE_H
#define NODEPALETTE_H

#include <qvariant.h>
#include <qdialog.h>
#include <qbuttongroup.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "scribusdoc.h"

class NodePalette : public QDialog
{ 
    Q_OBJECT

public:
    NodePalette( QWidget* parent);
    ~NodePalette();

    QButtonGroup* ButtonGroup1;
    QToolButton* MoveNode;
    QToolButton* MoveControl;
    QToolButton* AddNode;
    QToolButton* DeleteNode;
    QButtonGroup* ButtonGroup2;
    QToolButton* AsymMove;
    QToolButton* SymMove;
    QLabel* TextLabel1;
    QSpinBox* YSpin;
    QLabel* TextLabel2;
    QSpinBox* XSpin;
    QPushButton* PushButton1;
    void setDoc(ScribusDoc *dc);
    ScribusDoc *doc;

private slots:
		void closeEvent(QCloseEvent *);
		void EndEdit();
		void MoveK();
		void AddN();
		void DelN();
		void MovePoint();
		void SetSym();
		void SetAsym();

public slots:
		void MoveN();
		void SetXY(int x, int y);
		void HaveNode(bool have, bool mov);

protected:
    QVBoxLayout* NodePaletteLayout;
    QHBoxLayout* ButtonGroup1Layout;
    QHBoxLayout* ButtonGroup2Layout;
    QGridLayout* Layout2;

signals:
	void Schliessen();
	void PointTo(int, int);
};

#endif // NODEPALETTE_H
